UTS Marketing Solutions Holdings Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756339200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www1.hkexnews.hk/listedco/listconews/sehk/2025/0828/2025082802120.pdf",
    "holding_balance": 10.0,
    "holding_net_change": 10.0,
    "transaction_value_usd": 1130000.0,
    "average_entry_value_usd": 113000.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1757894400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www1.hkexnews.hk/listedco/listconews/sehk/2025/0915/2025091501288.pdf",
    "holding_balance": 43.41,
    "holding_net_change": 33.41,
    "transaction_value_usd": 3860000.0,
    "average_entry_value_usd": 115534.27,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    43.41
  ],
  [
    1779062400000,
    43.41
  ],
  [
    1779148800000,
    43.41
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3361230.2226
  ],
  [
    1779062400000,
    3340150.7607
  ],
  [
    1779148800000,
    3332152.0340999993
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.8,
    "date": "2026-05-15",
    "high": 2.1,
    "open": 2.04,
    "close": 1.83,
    "volume": 172000
  },
  {
    "low": 1.68,
    "date": "2026-05-18",
    "high": 1.89,
    "open": 1.8,
    "close": 1.68,
    "volume": 64000
  },
  {
    "low": 1.51,
    "date": "2026-05-19",
    "high": 1.68,
    "open": 1.68,
    "close": 1.59,
    "volume": 102000
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.338,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 24.22,
  "six_month_return": -41.11,
  "three_month_return": -9.66
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/uts-marketing-solutions-holdings-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.5,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}